Skip to main content
GET
/
workflows
/
{workflowId}
Retrieve a workflow
curl --request GET \
  --url https://v1.api.altostrat.io/workflows/{workflowId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/workflows/{workflowId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fl_01h3j4k5l6m7n8p9q0r1s2t3u4",
  "name": "Customer Onboarding",
  "description": "Sends a welcome email and sets up an account.",
  "nodes": [
    {
      "id": "n1",
      "type": "manual_trigger",
      "position": {
        "x": 150,
        "y": 250
      },
      "data": {
        "componentId": "manual_trigger"
      }
    }
  ],
  "edges": [
    {
      "id": "e1-2",
      "source": "n1",
      "target": "n2",
      "sourceHandle": "true"
    }
  ],
  "schedule_type": "manual",
  "schedule_value": "0 9 * * *",
  "next_run_at": "2025-11-01T09:00:00.000000Z",
  "is_active": true,
  "webhook_url": "https://v1.api.altostrat.io/workflows/webhooks/whsec_abc123...",
  "created_at": "2025-10-31T12:00:00.000000Z",
  "updated_at": "2025-10-31T12:30:00.000000Z"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

Standard JWT for user sessions obtained via Altostrat authentication.

Path Parameters

workflowId
string
required

The prefixed ID of the workflow (e.g., fl_...).

Response

The requested workflow object.

id
string

The unique prefixed identifier for the workflow.

Example:

"fl_01h3j4k5l6m7n8p9q0r1s2t3u4"

name
string

The human-readable name of the workflow.

Example:

"Customer Onboarding"

description
string | null

A detailed description of what the workflow does.

Example:

"Sends a welcome email and sets up an account."

nodes
object[]

An array of node objects that make up the workflow graph. Only returned when retrieving a single workflow.

edges
object[]

An array of edge objects that connect the nodes in the workflow graph. Only returned when retrieving a single workflow.

schedule_type
enum<string> | null

The type of schedule that triggers the workflow.

Available options:
manual,
interval,
cron,
daily,
weekly,
monthly
Example:

"manual"

schedule_value
string | null

The value for the schedule (e.g., a cron expression or interval string like '5 minutes').

Example:

"0 9 * * *"

next_run_at
string<date-time> | null

The next scheduled time for the workflow to run.

Example:

"2025-11-01T09:00:00.000000Z"

is_active
boolean

Indicates whether the workflow is active and can be triggered.

Example:

true

webhook_url
string<uri> | null

The unique, secure URL to trigger this workflow if it uses a webhook trigger.

Example:

"https://v1.api.altostrat.io/workflows/webhooks/whsec_abc123..."

created_at
string<date-time>

The timestamp when the workflow was created.

Example:

"2025-10-31T12:00:00.000000Z"

updated_at
string<date-time>

The timestamp when the workflow was last updated.

Example:

"2025-10-31T12:30:00.000000Z"